=== debian/control ===
Source: mupen64plus-rsp-hle
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-rsp-hle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-rsp-hle.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libmupen64plus-dev,
 libsdl1.2-dev | libsdl-dev,

Package: mupen64plus-rsp-hle
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-rsp-abi-1,
Provides:
 mupen64plus-rsp,
Description: high-level rsp emulation for mupen64plus
 N64 Reality Signal Processor function level emulation for graphics plugins
 supporting vertex processing by their own. It supports memory and register
 initialisation, audio and display lists processing including jpeg and mp3
 decoding for common microcodes.

Package: mupen64plus-rsp-hle-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-rsp-hle (= ${binary:Version}),
Description: high-level rsp emulation for mupen64plus debug symbols package
 N64 Reality Signal Processor function level emulation for graphics plugins
 supporting vertex processing by their own. It supports memory and register
 initialisation, audio and display lists processing including jpeg and mp3
 decoding for common microcodes.
 .
 This package contains the debug files.
