## mupen64plus-rsp-hle 1.99.4+26+8fd36d9bc293

=== debian/changelog ===
mupen64plus-rsp-hle (1.99.4+26+8fd36d9bc293-1) experimental; urgency=low

  * New upstream snapshot from revision 8fd36d9bc2938825a34c1f9758cf95926ce697a9

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:42:34 +0100

mupen64plus-rsp-hle (1.99.4+23+850d9527e48e-1) experimental; urgency=low

  * New upstream snapshot from revision 850d9527e48eb08a9c2d57d97b68b79bef46940e
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches big_endian_conflict.patch,
      endianness_xor.patch, rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:05:53 +0200
