## mupen64plus-rsp-hle 1.99.5

=== projects/unix/Makefile ===
--- 
+++ 
@@ -214,6 +214,7 @@
 SOURCE = \
 	$(SRCDIR)/main.c \
 	$(SRCDIR)/jpeg.c \
+	$(SRCDIR)/idct.c \
 	$(SRCDIR)/ucode3.cpp \
 	$(SRCDIR)/ucode2.cpp \
 	$(SRCDIR)/ucode1.cpp \
