=== debian/changelog ===
mupen64plus-rsp-hle (1.99.5-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 00:59:47 +0200

mupen64plus-rsp-hle (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * debian/patches:
    - Add pokemon_stadium_sound.patch, Fix sound in pokemon stadium
    - Add zelda_graphics_glitches.patch, Fix graphics glitches in Zelda OOT

 -- Sven Eckelmann <sven@narfation.org>  Fri, 27 Apr 2012 11:37:33 +0200

mupen64plus-rsp-hle (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Update debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:35 +0100
