=== debian/watch ===
version=3

http://bitbucket.org/richard42/mupen64plus-rsp-hle/downloads/ \
	/richard42/mupen64plus-rsp-hle/downloads/mupen64plus-rsp-hle-src-(.*).tar.gz
