=== debian/changelog ===
mupen64plus-rsp-hle (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:53:00 +0200

mupen64plus-rsp-hle (2.0~rc2+1+3d76355d095c-2) experimental; urgency=low

  * Remove unused dependency to libsdl1.2-dev in debian/control
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:25:17 +0200

mupen64plus-rsp-hle (2.0~rc2+1+3d76355d095c-1) experimental; urgency=low

  * New Upstream Snapshot from 3d76355d095c456eb32677cb65feb775ef24d896
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:25:15 +0200

mupen64plus-rsp-hle (1.99.5+25+a77acef394fd-1) experimental; urgency=low

  * New Upstream Snapshot from a77acef394fdc331160e0e583b4f45f557b1b97c
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:39 +0100

mupen64plus-rsp-hle (1.99.5+11+bf4a5b4315de-1) experimental; urgency=low

  * New Upstream Snapshot from bf4a5b4315de9214efde317b2f3c9367880c9d8f
  * Upgraded to policy 3.9.4, no changes required
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:32:24 +0100

mupen64plus-rsp-hle (1.99.5+8+1e306f08d231-1) experimental; urgency=low

  * New Upstream Snapshot from 1e306f08d231ffc677723e93a4b84a3ba7503058

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Sep 2012 21:21:51 +0200

mupen64plus-rsp-hle (1.99.5+6+0d5a734e9425-1) experimental; urgency=low

  * New Upstream Snapshot from 0d5a734e942501a78d199d53ad0099ce87855d3a
  * debian/patches:
    - Remove upstream merged gcc_lto.patch, pokemon_stadium_sound.patch
       zelda_graphics_glitches.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:51:47 +0200
