=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-rsp-hle/downloads/ \
	/richard42/mupen64plus-rsp-hle/downloads/mupen64plus-rsp-hle-src-(.*).tar.gz
