=== debian/changelog ===
mupen64plus-rsp-hle (2.5-5) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:35:53 +0200

mupen64plus-rsp-hle (2.5-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:51:43 +0200

mupen64plus-rsp-hle (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-rsp-hle-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:54:04 +0100

mupen64plus-rsp-hle (2.5-2) unstable; urgency=medium

  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:23 +0100

mupen64plus-rsp-hle (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * Upgraded to policy 3.9.6, no changes required
  * debian/copyright:
    - Update years
    - Fix errors in paths to specific files
    - Add new files to debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 16:25:34 +0200

mupen64plus-rsp-hle (2.0+169+g6158876-1) experimental; urgency=medium

  * New Upstream Snapshot from 6158876a2132a2e9adb45d035489938ac9dea5dc

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 11:15:24 +0200

mupen64plus-rsp-hle (2.0+158+g889a070-1) experimental; urgency=medium

  * New Upstream Snapshot from 889a0707a5e1ce0197024789a6f7fc1e0a093a99
  * debian/patches:
    - Remove upstream merged jpeg_dispatching_278b0.patch,
      jpeg_memory_alloc_reduce.patch, jpeg_memory_alloc_refactor.patch,
      jpeg_memory_alloc_stack.patch, musyx_initial.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 05 Apr 2014 14:23:04 +0200

mupen64plus-rsp-hle (2.0-3) unstable; urgency=medium

  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:13:03 +0200

mupen64plus-rsp-hle (2.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add jpeg_dispatching_278b0.patch, Bottom of the 9th jpeg task dispatching
    - Add jpeg_memory_alloc_reduce.patch, macroblock memory allocation was
      bigger than needed
    - Add jpeg_memory_alloc_stack.patch, Refactor standard macroblock decoder
    - Add jpeg_memory_alloc_refactor.patch, Avoid dynamic memory allocation for
      macroblocks
    - Add musyx_initial.patch, Add initial support for MusyX
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/

 -- Sven Eckelmann <sven@narfation.org>  Sat, 05 Apr 2014 14:13:37 +0200
