=== debian/control ===
Source: mupen64plus-rsp-hle
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-hle.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-rsp-hle
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libmupen64plus-dev (>= 1.99.5),

Package: mupen64plus-rsp-hle
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-rsp-abi-2,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-rsp,
Description: high-level rsp emulation for mupen64plus
 N64 Reality Signal Processor function level emulation for graphics plugins
 supporting vertex processing by their own. It supports memory and register
 initialisation, audio and display lists processing including jpeg and mp3
 decoding for common microcodes.
